kws_seg_s Struct Reference

Segmentation "iterator" for KWS history. More...

`#include <kws_search.h>`

## Data Fields

ps_seg_t | base
| Base structure. More...
gnode_t * | detection
| Keyword detection correspondent to segment. More...
frame_idx_t | last_frame
| Last frame to raise the detection.

## Detailed Description

Segmentation "iterator" for KWS history.

Definition at line 54 of file kws_search.h.

## Field Documentation

ps_seg_t kws_seg_s::base

Base structure.

Definition at line 55 of file kws_search.h.

gnode_t* kws_seg_s::detection

Keyword detection correspondent to segment.

Definition at line 56 of file kws_search.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/kws_search.h